WriterPlsParserInternal::WindowsInfo Struct Reference documentation

Classes | Public Member Functions | Public Attributes | Friends | List of all members
WriterPlsParserInternal::WindowsInfo Struct Reference

Windows informations. More...

## Classes
struct | Zone

## Public Member Functions
| WindowsInfo ()
bool | dimensionInvalid () const
bool | getColumnLimitsFor (int line, std::vector< int > &listPos)

## Public Attributes
MWAWVec2i | m_pageDim
int | m_headerY
int | m_footerY
std::vector< PageInfo > | m_pages
std::vector< ColumnInfo > | m_columns
std::vector< ParagraphInfo > | m_paragraphs
Zone | m_zone [7]

## Friends
std::ostream & | operator<< (std::ostream &o, WindowsInfo const &w)

## Detailed Description

Windows informations.

## Constructor & Destructor Documentation

## ◆ WindowsInfo()

WriterPlsParserInternal::WindowsInfo::WindowsInfo | ( |  | ) |
| inline

## Member Function Documentation

## ◆ dimensionInvalid()

bool WriterPlsParserInternal::WindowsInfo::dimensionInvalid | ( |  | ) | const
| inline

## ◆ getColumnLimitsFor()

bool WriterPlsParserInternal::WindowsInfo::getColumnLimitsFor | ( | int | line,
|  | std::vector< int > & | listPos
| ) |  |

Referenced by WriterPlsParser::findSection().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | WindowsInfo const & | w
| ) |  |
| friend

## Member Data Documentation

## ◆ m_columns

std::vector<ColumnInfo> WriterPlsParserInternal::WindowsInfo::m_columns

Referenced by WriterPlsParser::readColInfo().

## ◆ m_footerY

int WriterPlsParserInternal::WindowsInfo::m_footerY

Referenced by WriterPlsParserInternal::operator<<().

## ◆ m_headerY

int WriterPlsParserInternal::WindowsInfo::m_headerY

Referenced by WriterPlsParserInternal::operator<<().

## ◆ m_pageDim

MWAWVec2i WriterPlsParserInternal::WindowsInfo::m_pageDim

Referenced by WriterPlsParserInternal::operator<<().

## ◆ m_pages

std::vector<PageInfo> WriterPlsParserInternal::WindowsInfo::m_pages

Referenced by WriterPlsParser::readPageInfo(), and WriterPlsParser::sendWindow().

## ◆ m_paragraphs

std::vector<ParagraphInfo> WriterPlsParserInternal::WindowsInfo::m_paragraphs

Referenced by WriterPlsParser::findSection(), WriterPlsParser::readParagraphInfo(), WriterPlsParser::readWindowsZone(), and WriterPlsParser::sendWindow().

## ◆ m_zone

Zone WriterPlsParserInternal::WindowsInfo::m_zone[7]

Referenced by WriterPlsParserInternal::operator<<(), WriterPlsParser::readColInfo(), WriterPlsParser::readPageInfo(), WriterPlsParser::readParagraphInfo(), WriterPlsParser::readWindowsInfo(), and WriterPlsParser::readWindowsZone().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx